SSH-SIG(1)

NAME
ssh-sig - make ssh-keygen -Y simpler

SYNOPSIS
ssh-sig COMMAND OPTION

DESCRIPTION
make ssh-keygen -Y simpler

OPTIONS

-h --help

--version

COMMANDS

sign
    create signature

check
    check signature

HELP

sign
    --help

check
    --help

EXAMPLES

ssh-sig sign file.txt
ssh-sig check -s file.txt.sig < file.txt

cat file.txt | ssh-sig sign > file.txt.sig
cat file.txt | ssh-sig check -s file.txt.sig

# Sign multiple files
ssh-sig sign file1.txt file2.txt [...]

# Use another key for signing
ssh-sig sign -f ~/.ssh/id_rsa file.txt

# Use a public key. Private Key for signing then comes from ssh-agent
ssh-sig sign -f ~/.ssh/id_rsa.pub file.txt